Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.typehandling
[Java] Class IntegerMath

    java.lang.Object
      org.codehaus.groovy.runtime.typehandling.NumberMath
          org.codehaus.groovy.runtime.typehandling.IntegerMath

    public final class IntegerMath
    extends NumberMath

Integer NumberMath operations

Authors:
  Steve Goetze

Field Summary
`static IntegerMath` | `INSTANCE`

Method Summary
`protected java.lang.Number` | `absImpl(java.lang.Number number)`
`java.lang.Number` | `addImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `andImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `bitwiseNegateImpl(java.lang.Number left)`
`int` | `compareToImpl(java.lang.Number left, java.lang.Number right)`
`java.lang.Number` | `divideImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `intdivImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `leftShiftImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `modImpl(java.lang.Number left, java.lang.Number right)`
`java.lang.Number` | `multiplyImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `orImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `rightShiftImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `rightShiftUnsignedImpl(java.lang.Number left, java.lang.Number right)`
`java.lang.Number` | `subtractImpl(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` | `unaryMinusImpl(java.lang.Number left)`
`protected java.lang.Number` | `xorImpl(java.lang.Number left, java.lang.Number right)`

Methods inherited from class NumberMath
abs, absImpl, add, addImpl, and, andImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, xor, xorImpl

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### INSTANCE

    public static final IntegerMath INSTANCE

Method Detail

### absImpl

    protected java.lang.Number absImpl(java.lang.Number number)

### addImpl

    public java.lang.Number addImpl(java.lang.Number left, java.lang.Number right)

### andImpl

    protected java.lang.Number andImpl(java.lang.Number left, java.lang.Number right)

### bitwiseNegateImpl

    protected java.lang.Number bitwiseNegateImpl(java.lang.Number left)

### compareToImpl

    public int compareToImpl(java.lang.Number left, java.lang.Number right)

### divideImpl

    public java.lang.Number divideImpl(java.lang.Number left, java.lang.Number right)

### intdivImpl

    protected java.lang.Number intdivImpl(java.lang.Number left, java.lang.Number right)

### leftShiftImpl

    protected java.lang.Number leftShiftImpl(java.lang.Number left, java.lang.Number right)

### modImpl

    protected java.lang.Number modImpl(java.lang.Number left, java.lang.Number right)

### multiplyImpl

    public java.lang.Number multiplyImpl(java.lang.Number left, java.lang.Number right)

### orImpl

    protected java.lang.Number orImpl(java.lang.Number left, java.lang.Number right)

### rightShiftImpl

    protected java.lang.Number rightShiftImpl(java.lang.Number left, java.lang.Number right)

### rightShiftUnsignedImpl

    protected java.lang.Number rightShiftUnsignedImpl(java.lang.Number left, java.lang.Number right)

### subtractImpl

    public java.lang.Number subtractImpl(java.lang.Number left, java.lang.Number right)

### unaryMinusImpl

    protected java.lang.Number unaryMinusImpl(java.lang.Number left)

### xorImpl

    protected java.lang.Number xorImpl(java.lang.Number left, java.lang.Number right)

Groovy Documentation